summaryrefslogtreecommitdiff
path: root/dev-python/minify-html
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-25 19:04:16 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-25 19:04:16 +0000
commit5dc6f654bca2afc9a111af17fb81f969f9293d81 (patch)
tree0b1d29651937190788f8c2d32b7f3c63d8125f24 /dev-python/minify-html
parent5992c0b134a2bffc19cd64a790d425359b254d11 (diff)
downloadbaldeagleos-repo-5dc6f654bca2afc9a111af17fb81f969f9293d81.tar.gz
baldeagleos-repo-5dc6f654bca2afc9a111af17fb81f969f9293d81.tar.xz
baldeagleos-repo-5dc6f654bca2afc9a111af17fb81f969f9293d81.zip
Adding metadata
Diffstat (limited to 'dev-python/minify-html')
-rw-r--r--dev-python/minify-html/Manifest2
-rw-r--r--dev-python/minify-html/minify-html-0.18.0.ebuild47
2 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/minify-html/Manifest b/dev-python/minify-html/Manifest
index fc007ff2800d..6f330b50c654 100644
--- a/dev-python/minify-html/Manifest
+++ b/dev-python/minify-html/Manifest
@@ -1,2 +1,4 @@
DIST minify-html-0.16.4-crates.tar.xz 21961636 BLAKE2B ab6b61fd2a4c1f20203a73419afd5b4f25fdb3f5a3490cfeb1b521642a4403a77b0fbe9d0d036c682dbb165506891a0283c3fd513efcad751679ba7b9efc8f28 SHA512 74f0985390418f0bbaaf88334e87c8135e2dc652a645c3ceaaf3e6ac297ad7de6e49b664232de86fe2a0770910bf94357c230f9f3c7ea4686f6250f00a65c61d
+DIST minify-html-0.18.0-crates.tar.xz 24185204 BLAKE2B 3df93b17d5dc68e628fe7c033d67d866f82b075336c3f5097e00e923d0dd8cc883c97dd6ced158a1f2a70f75f506c8f06cbf2ca1f97884128386a5b2ec1778c4 SHA512 75c9c579a5877eadafb05b474fb936e9bf8437bd0f635ee3647d920d5d0503306a6e9e88851fa8d235072942a152d5581971f106c6cc8b92302888abf445f396
DIST minify_html-0.16.4.tar.gz 92052 BLAKE2B 1f67e8f260483529e76196d74060213da319339aa6f6358d1032222b5e10275ac414ffccd3341acc574f5c7030bd0b7fa294b954c7044002e56101ee5d370909 SHA512 a74f9eb6648e6a84c6ad88e77193361f9c57b237b1b3a3ab8b3655aa0a80cfe75d0262b9219f715080f3cc11696bdf291d5d9cf62e2f8eac9b0d160a881e63da
+DIST minify_html-0.18.0.tar.gz 96606 BLAKE2B e8653341c89596fa2e2fe4305aa7c55c0bebc624f8d795fabbac5d5fbb6a412900caff2bb0bf7c486a1e522b49602cf04f175cdd84d0db0a3c42a2be197f0f03 SHA512 e5726e73ba57a9717c5fbf5a68bc367c5890e9574e2b21bbde1a3f77631a560c39fa4f1b14caa87bf5b015ab3ffad648cb46a995d3dabdbd57f31ac9ce11714c
diff --git a/dev-python/minify-html/minify-html-0.18.0.ebuild b/dev-python/minify-html/minify-html-0.18.0.ebuild
new file mode 100644
index 000000000000..6137524f39c2
--- /dev/null
+++ b/dev-python/minify-html/minify-html-0.18.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{10..14} )
+
+CRATES=""
+RUST_MIN_VER="1.88.0"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Extremely fast and smart HTML + JS + CSS minifier"
+HOMEPAGE="
+ https://github.com/wilsonzlin/minify-html/
+ https://pypi.org/project/minify-html/
+"
+SRC_URI+="
+ https://github.com/gentoo-crate-dist/minify-html/releases/download/v${PV}/${P}-crates.tar.xz
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT MPL-2.0
+ Unicode-3.0
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/minify_html/minify_html.*.so"
+
+src_prepare() {
+ sed -i -e '/strip/d' Cargo.toml || die
+ # upstream is adding Cargo.lock into wheels, but we don't have it
+ # for crate dists, so we end up using newer versions
+ rm Cargo.lock || die
+ distutils-r1_src_prepare
+}
+
+python_test_all() {
+ cargo_src_test
+}